function InitFEM_MATLAB

curPath = pwd;
subDir = [findstr('0_Example',curPath),findstr('1_Mesh',curPath),...
          findstr('2_Matrix',curPath),findstr('3_FemDef',curPath),...
          findstr('4_Linear_solve',curPath),findstr('5_Estimate',curPath),...
          findstr('6_Figure',curPath),findstr('7_BaseFunction',curPath),...
          findstr('Eigenvalue',curPath), findstr('Error_Extra',curPath),...
          findstr('Mix_Eigen_Superconvergence',curPath),findstr('work3',curPath),...
          findstr('4_Linear_solve\matamg',curPath)]
if ~isempty(subDir)
    curPath = curPath(1:subDir-2);
end
addpath(genpath(curPath))

